API ReferenceapibookingGET /v1/coaches/{coachId}/office-hours

GET /v1/coaches/\{coachId\}/office-hours

Service: booking · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • coachId (string) required

Query parameters

  • from (string) required
  • to (string) required

Responses

200 Available office-hour slots

{
  "type": "object",
  "properties": {
    "slots": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "coach_id": {
            "type": "string"
          },
          "slot_at": {
            "type": "string",
            "format": "date-time"
          }
        },
        "required": [
          "coach_id",
          "slot_at"
        ]
      }
    }
  },
  "required": [
    "slots"
  ]
}

400 Validation error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

403 Coach is outside the current brand

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://booking.platform.loop.health/v1/coaches/{coachId}/office-hours \
  -H "Authorization: Bearer $ACCESS_TOKEN"